# Resper

home  :: https://src.sibext.com/snacks/resper

## Description

There is tool for extracting vector graphic resources to Android and iOS app

## Why?

Firstly, Mobile developers from Sibext company wastes time for transferring graphics resources from designers to mobile app. They cannot replace updates from designers to the both platform quickly. 

Secondary, UX Designers wastes time for exporting a lot of bitmaps for only single icon, but they should provide only one vector image and that's it!

There is the simple solution: Designer just send to Developer *.svg* file and *base size* (width and height) for scale equals 1, but all raster resources will be extracted by *Resper* tool.
Hooray!


## Installation

### Mac

```
brew remove imagemagick
brew install imagemagick --with-librsvg
brew install pngquant
gem install resper
```

### Linux

```
sudo apt-get update
sudo apt-get install imagemagick
sudo apt-get install pngquant
gem install resper
```

## Usage

```
resper -f example/icon.svg -s 20
```

or

```
resper -f example/icon.svg -w 20 -h 20
```

More info:

```
resper -i
```

## License

(The MIT License)

Copyright (c) 2017 Sibext Ltd.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
